package com.qmth.themis.business.bean.exam;

import com.qmth.themis.business.enums.FinishTypeEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("交卷结果返回信息")
public class ExamResultBean {

	@ApiModelProperty("finishTime")
	private Long finishTime;

	@ApiModelProperty("交卷后状态")
	private FinishTypeEnum finishType;

	@ApiModelProperty("客观分")
	private Double objectiveScore;
	
	@ApiModelProperty("考试时长(秒)")
	private Integer durationSeconds;

	@ApiModelProperty("审核结果")
	private String reviewResult;

	public Long getFinishTime() {
		return finishTime;
	}

	public void setFinishTime(Long finishTime) {
		this.finishTime = finishTime;
	}


	public FinishTypeEnum getFinishType() {
		return finishType;
	}

	public void setFinishType(FinishTypeEnum finishType) {
		this.finishType = finishType;
	}

	public Integer getDurationSeconds() {
		return durationSeconds;
	}

	public void setDurationSeconds(Integer durationSeconds) {
		this.durationSeconds = durationSeconds;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public String getReviewResult() {
		return reviewResult;
	}

	public void setReviewResult(String reviewResult) {
		this.reviewResult = reviewResult;
	}

}
